ConnectorFactory
Date: 2016-06-23

com.jcraft.jsch.agentproxy

## Class ConnectorFactory

- java.lang.Object
- - com.jcraft.jsch.agentproxy.ConnectorFactory

-     public abstract class ConnectorFactory
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `connectors`
    `protected java.lang.String` | `usocketFactories`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Connector` | `createConnector()`
    `static ConnectorFactory` | `getDefault()`
    `java.lang.String` | `getPreferredConnectors()`
    `java.lang.String` | `getPreferredUSocketFactories()`
    `void` | `setPreferredConnectors(java.lang.String connectors)`
    `void` | `setPreferredUSocketFactories(java.lang.String usocketFactories)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### connectors

          protected java.lang.String connectors

    - #### usocketFactories

          protected java.lang.String usocketFactories

  - ### Constructor Detail

    - #### ConnectorFactory

          public ConnectorFactory()

  - ### Method Detail

    - #### setPreferredConnectors

          public void setPreferredConnectors(java.lang.String connectors)

    - #### getPreferredConnectors

          public java.lang.String getPreferredConnectors()

    - #### setPreferredUSocketFactories

          public void setPreferredUSocketFactories(java.lang.String usocketFactories)

    - #### getPreferredUSocketFactories

          public java.lang.String getPreferredUSocketFactories()

    - #### createConnector

          public Connector createConnector()
                                    throws AgentProxyException

      Throws:
        `AgentProxyException`

    - #### getDefault

          public static ConnectorFactory getDefault()